Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class GroovyTestSuite

    java.lang.Object
      junit.framework.TestSuite
          groovy.util.GroovyTestSuite

    public class GroovyTestSuite
    extends TestSuite

A TestSuite which will run a Groovy unit test case inside any Java IDE either as a unit test case or as an application.

You can specify the GroovyUnitTest to run by running this class as an application and specifying the script to run on the command line.

`java groovy.util.GroovyTestSuite src/test/Foo.groovy`

Or to run the test suite as a unit test suite in an IDE you can use the 'test' system property to define the test script to run. e.g. pass this into the JVM when the unit test plugin runs...

`-Dtest=src/test/Foo.groovy`

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary
`protected static java.lang.String` | `file`
`protected GroovyClassLoader` | `loader`

Method Summary
`java.lang.Class` | `compile(java.lang.String fileName)`
`void` | `loadTestSuite()`
`static void` | `main(java.lang.String[] args)`
`static Test` | `suite()`

Field Detail

### file

    protected static java.lang.String file

### loader

    protected final GroovyClassLoader loader

Method Detail

### compile

    public java.lang.Class compile(java.lang.String fileName)

### loadTestSuite

    public void loadTestSuite()

### main

    public static void main(java.lang.String[] args)

### suite

    public static Test suite()

Groovy Documentation